FROM corex:3.2.1

WORKDIR /workspace
COPY requirements_kokoro.txt constraints_kokoro.txt kokoro_server.py launch_kokoro.sh /workspace/
RUN pip install -r requirements_kokoro.txt -c constraints_kokoro.txt \
    && apt update \
    && apt install -y espeak-ng

ENTRYPOINT ["/bin/bash", "launch_kokoro.sh"]
